# get_registered_model_via_rest_api.py
#
# author: deng
# date  : 20230224

import json
import requests

def main():

    registered_model_name = 'fortune_predict_model'
    production_model_version = None

    query = {'name': registered_model_name}
    res = requests.get('http://127.0.0.1:5000/api/2.0/mlflow/registered-models/get', params=query)
    content = json.loads(res.text)
    print(content)

    for model in content['registered_model']['latest_versions']:

        if model['current_stage'] == 'Production':
            production_model_version = model['version']

    if production_model_version is not None:
        query = {'name': registered_model_name, 'version': production_model_version}
    res = requests.get('http://127.0.0.1:5000/api/2.0/mlflow/model-versions/get-download-uri', params=query)
    print(res.text)

if __name__ == '__main__':
    main()